Name:		padb
Version:	3.3svn462
Release:	1%{?dist}
Summary:	Parallel debugging tool

Group:		Development/Debuggers
License:	LGPLv2+
URL:		http://padb.pittman.org.uk/
# Generated with
# svn checkout http://padb.googlecode.com/svn/trunk/ padb-%version
# find padb-%version -name .svn | xargs rm -r
Source0:	padb-%version.tar.gz
Source1:	padb-sge
Source2:	padb-sge.1
Source3:	OpenMPI-1.6-padb-groups.patch
Source4:	OpenMPI-1.7-padb-groups.patch
Source5:	padb-README.openmpi-patches

Requires:	gdb, openssh-clients, pdsh
BuildRequires:	automake
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Prefix:		/usr

%description
Padb is a job inspection tool for examining and debugging parallel
programs.  Primarily it simplifies the process of gathering stack
traces on compute clusters, however it also supports a wide range of
other functions.  Padb supports a number of parallel environments and
it works out-of-the-box on the majority of clusters.  It is a
non-interactive, command line, script-able tool intended for use by
programmers and system administrators alike.

Padb is a parallel job inspection tool for querying state of jobs on
compute clusters.

This version includes the padb-sge interface to Grid Engine.

%prep
%setup -q


%build
./autogen.sh
%configure
make %{?_smp_mflags}
install %SOURCE3 %SOURCE4


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
zcat doc/padb.1.gz >$RPM_BUILD_ROOT%_mandir/man1/padb.1
install -m 755 %SOURCE1  $RPM_BUILD_ROOT%_bindir/padb-sge
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%_mandir/man1/padb-sge.1
install -D -m 644 src/padb.conf $RPM_BUILD_ROOT%_sysconfdir/padb.conf
install %SOURCE3 %SOURCE4 .
install %SOURCE5 README.openmpi-patches


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*.html doc/layout.css AUTHORS COPYING README README.openmpi-patches OpenMPI*patch
%_bindir/*
%_libexecdir/*
%_mandir/man1/*
%config(noreplace) %_sysconfdir/padb.conf


%changelog
* Thu Jan 16 2014 Dave Love <d.love@liverpool.ac.uk> - 3.3svn462-1
- Update to r462
- Remove previous patch

* Fri Dec 13 2013 Dave Love <d.love@liverpool.ac.uk> - 3.3svn453-4
- Patch from Ashley
- Mark padb.conf as %config

* Fri Dec  6 2013 Dave Love <d.love@liverpool.ac.uk> - 3.3svn453-3
- Add updated openmpi patches

* Fri Nov 29 2013 Dave Love <d.love@liverpool.ac.uk> - 3.3svn453-2
- Install padb.conf
- Fix padb-sge for running as root and not finding job

* Wed Nov 20 2013 Dave Love <d.love@liverpool.ac.uk> - 3.3svn453-1
- Initial packaging
